package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.VideoCallMapper;
import com.ruoyi.system.domain.VideoCall;
import com.ruoyi.system.service.IVideoCallService;

/**
 * VideoCallService业务层处理
 * 
 * @author ruoyi
 * @date 2024-03-05
 */
@Service
public class VideoCallServiceImpl extends ServiceImpl<BaseMapper<VideoCall>,VideoCall> implements IVideoCallService
{
    @Autowired
    private VideoCallMapper videoCallMapper;

    /**
     * 查询VideoCall
     * 
     * @param id VideoCall主键
     * @return VideoCall
     */
    @Override
    public VideoCall selectVideoCallById(Long id)
    {
        return videoCallMapper.selectVideoCallById(id);
    }

    /**
     * 查询VideoCall列表
     * 
     * @param videoCall VideoCall
     * @return VideoCall
     */
    @Override
    public List<VideoCall> selectVideoCallList(VideoCall videoCall)
    {
        return videoCallMapper.selectVideoCallList(videoCall);
    }

    /**
     * 新增VideoCall
     * 
     * @param videoCall VideoCall
     * @return 结果
     */
    @Override
    public int insertVideoCall(VideoCall videoCall)
    {
        return videoCallMapper.insertVideoCall(videoCall);
    }

    /**
     * 修改VideoCall
     * 
     * @param videoCall VideoCall
     * @return 结果
     */
    @Override
    public int updateVideoCall(VideoCall videoCall)
    {
        return videoCallMapper.updateVideoCall(videoCall);
    }

    /**
     * 批量删除VideoCall
     * 
     * @param ids 需要删除的VideoCall主键
     * @return 结果
     */
    @Override
    public int deleteVideoCallByIds(Long[] ids)
    {
        return videoCallMapper.deleteVideoCallByIds(ids);
    }

    /**
     * 删除VideoCall信息
     * 
     * @param id VideoCall主键
     * @return 结果
     */
    @Override
    public int deleteVideoCallById(Long id)
    {
        return videoCallMapper.deleteVideoCallById(id);
    }
}
